org.cpsolver.coursett

## Class TimetableXMLSaver

- java.lang.Object
- - org.cpsolver.ifs.util.ProblemSaver<Lecture,Placement,TimetableModel>
  - - org.cpsolver.coursett.TimetableSaver
    - - org.cpsolver.coursett.TimetableXMLSaver

- All Implemented Interfaces:
    Runnable

      public class TimetableXMLSaver
      extends TimetableSaver

  This class saves the resultant solution in the XML format.
  Parameters:

  Related Solver Parameters
  Parameter | Type | Comment
  --- | --- | ---
  General.Output | `String` | Folder with the output solution in XML format (solution.xml)
  Xml.ConvertIds | `Boolean` | If true, ids are converted (to be able to make input data public)
  Xml.ShowNames | `Boolean` | If false, names are not exported (to be able to make input data public)
  Xml.SaveBest | `Boolean` | If true, best solution is saved.
  Xml.SaveInitial | `Boolean` | If true, initial solution is saved.
  Xml.SaveCurrent | `Boolean` | If true, current solution is saved.
  Xml.ExportStudentSectioning | `Boolean` | If true, student sectioning is saved even when there is no solution.

  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ANONYMISE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimetableXMLSaver(Solver<Lecture,Placement> solver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doSave(Element root)`
    `void` | `save()` Save the solution
    `void` | `save(File outFile)`
    `Document` | `saveDocument()`

    - ### Methods inherited from class org.cpsolver.ifs.util.ProblemSaver

      `getAssignment, getModel, getSolution, getSolver, getTerminationCondition, run, setCallback, setTerminationCondition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANONYMISE

          public static boolean ANONYMISE

  - ### Constructor Detail

    - #### TimetableXMLSaver

          public TimetableXMLSaver(Solver<Lecture,Placement> solver)

  - ### Method Detail

    - #### save

          public void save()
                    throws Exception

      Description copied from class: `ProblemSaver`
      Save the solution
      Specified by:
        `save` in class `ProblemSaver<Lecture,Placement,TimetableModel>`
      Throws:
        `Exception` - thrown when save fails

    - #### saveDocument

          public Document saveDocument()

    - #### save

          public void save(File outFile)
                    throws Exception

      Throws:
        `Exception`

    - #### doSave

          protected void doSave(Element root)